"use strict";
// tslint:disable:no-reference
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/// <reference path="./typings.d.ts" />
const promiseRetry = require("promise-retry");
const qr_image_1 = __importDefault(require("qr-image"));
const file_box_1 = require("file-box");
const brolog_1 = require("brolog");
exports.log = brolog_1.log;
const WECHATY_PUPPET_PADCHAT_ENDPOINT_ENV_VAR = 'WECHATY_PUPPET_PADCHAT_ENDPOINT';
exports.WECHATY_PUPPET_PADCHAT_ENDPOINT = process.env[WECHATY_PUPPET_PADCHAT_ENDPOINT_ENV_VAR] || 'ws://padchat.botorange.com/wx';
exports.SELF_QRCODE_MAX_RETRY = 5;
exports.CON_TIME_OUT = 10000;
exports.RE_CON_RETRY = 6;
exports.RE_CON_INTERVAL = 5000;
exports.POST_LOGIN_API_CALL_INTERVAL = 100;
exports.MAX_HEARTBEAT_TIMEOUT = 3;
function padchatToken() {
    const token = process.env.WECHATY_PUPPET_PADCHAT_TOKEN;
    if (!token) {
        brolog_1.log.error('PuppetPadchatConfig', `

      WECHATY_PUPPET_PADCHAT_TOKEN environment variable not found.

      PuppetPadchat need a token before it can be used,
      Please set WECHATY_PUPPET_PADCHAT_TOKEN then retry again.


      Learn more about it at: https://github.com/Chatie/wechaty/issues/1296

    `);
        throw new Error('You need a valid WECHATY_PUPPET_PADCHAT_TOKEN to use PuppetPadchat');
    }
    return token;
}
exports.padchatToken = padchatToken;
function retry(retryableFn) {
    return __awaiter(this, void 0, void 0, function* () {
        /**
         * 60 seconds: (to be confirmed)
         *  factor: 3
         *  minTimeout: 10
         *  maxTimeout: 20 * 1000
         *  retries: 9
         */
        const factor = 3;
        const minTimeout = 10;
        const maxTimeout = 20 * 1000;
        const retries = 9;
        // const unref      = true
        const retryOptions = {
            factor,
            maxTimeout,
            minTimeout,
            retries,
        };
        return promiseRetry(retryOptions, retryableFn);
    });
}
exports.retry = retry;
function qrCodeForChatie() {
    const CHATIE_OFFICIAL_ACCOUNT_QRCODE = 'http://weixin.qq.com/r/qymXj7DEO_1ErfTs93y5';
    const name = 'qrcode-for-chatie.png';
    const type = 'png';
    const qrStream = qr_image_1.default.image(CHATIE_OFFICIAL_ACCOUNT_QRCODE, { type });
    return file_box_1.FileBox.fromStream(qrStream, name);
}
exports.qrCodeForChatie = qrCodeForChatie;
/**
 * VERSION
 */
const read_pkg_up_1 = __importDefault(require("read-pkg-up"));
const pkg = read_pkg_up_1.default.sync({ cwd: __dirname }).pkg;
exports.VERSION = pkg.version;
//# sourceMappingURL=config.js.map