export interface PadchatRpcRequest {
    userId: string;
    msgId: number | string;
    apiName: string;
    param: string[];
}
export interface AutoDataType {
    wxData?: string;
    token?: string;
    user_name?: string;
    nick_name?: string;
}
export interface InitType {
    message: string;
    status: number;
}
export interface WXInitializeType {
    message: string;
    status: number;
}
export interface WXAddChatRoomMemberType {
    message: string;
    status: number;
}
export interface WXGetQRCodeType {
    qr_code: string;
}
export declare enum WXCheckQRCodeStatus {
    Ignore = -2,
    Unknown = -1,
    WaitScan = 0,
    WaitConfirm = 1,
    Confirmed = 2,
    Timeout = 3,
    Cancel = 4
}
export interface WXCheckQRCodePayload {
    device_type?: string;
    expired_time: number;
    head_url?: string;
    nick_name?: string;
    password?: string;
    status: WXCheckQRCodeStatus;
    user_name?: string;
}
export interface WXHeartBeatType {
    status: number;
    message: string;
}
export interface WXLogoutType {
    status: number;
    message: string;
}
export interface WXGenerateWxDatType {
    data: string;
    message: string;
    status: number;
}
export interface WXLoadWxDatType {
    status: number;
    message: string;
}
export interface StandardType {
    status: number;
    message: string;
}
export interface WXGetLoginTokenType {
    message: string;
    status: number;
    token: string;
    uin: number;
}
export interface WXAutoLoginType {
    email: string;
    external?: number;
    long_link_server?: string;
    message: string;
    nick_name: string;
    phone_number: string;
    qq: number;
    short_link_server?: string;
    status: number;
    uin?: number;
    user_name: string;
}
export interface WXLoginRequestType {
    status: number;
}
export interface WXSendMsgType {
    message: string;
    msg_id: string;
    status: number;
}
export interface WXQRCodeLoginType {
    email: string;
    external: number;
    long_link_server: string;
    message: string;
    nick_name: string;
    phone_number: string;
    qq: number;
    short_link_server: string;
    status: number;
    uin: number;
    user_name: string;
}
export interface WXHeartBeatType {
    status: number;
    message: string;
}
export declare enum WXSearchContactTypeStatus {
    Searchable = 0,
    UnSearchable = -24
}
export declare enum WXRoomAddTypeStatus {
    Done = 0,
    NeedInvite = -2012,
    InviteConfirm = -2028
}
export interface WXSearchContactType {
    big_head: string;
    city: string;
    country: string;
    message: string;
    nick_name: string;
    provincia: string;
    py_initial: string;
    quan_pin: string;
    sex: number;
    signature: string;
    small_head: string;
    status: number;
    stranger: string;
    user_name: string;
}
/**
 * Raw type info:
 * see more inhttps://ymiao.oss-cn-shanghai.aliyuncs.com/apifile.txt
 * 2  - 通过搜索邮箱
 * 3  - 通过微信号搜索
 * 5  - 通过朋友验证消息
 * 7  - 通过朋友验证消息(可回复)
 * 12 - 通过QQ好友添加
 * 14 - 通过群来源
 * 15 - 通过搜索手机号
 * 16 - 通过朋友验证消息
 * 17 - 通过名片分享
 * 22 - 通过摇一摇打招呼方式
 * 25 - 通过漂流瓶
 * 30 - 通过二维码方式
 */
export declare enum WXSearchContactTypeStatus {
    EMAIL = 2,
    WXID = 3,
    VERIFY_NOREPLY = 5,
    VERIFY_REPLY = 7,
    QQ = 12,
    ROOM = 14,
    MOBILE = 15,
    VERIFY = 16,
    CONTACT = 17,
    SHAKE = 22,
    FLOAT = 25,
    QRCODE = 30
}
