"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// The npm package of my best choice for QR code decoding on Angular SPA
// https://dev.to/j_sakamoto/the-npm-package-of-my-best-choice-for-qr-code-decoding-on-angular-spa-4747?returning-user=true
const jimp_1 = __importDefault(require("jimp"));
const jsqr_1 = __importDefault(require("jsqr"));
function fileBoxToQrcode(file) {
    return __awaiter(this, void 0, void 0, function* () {
        const image = yield jimp_1.default.read(yield file.toBuffer());
        const qrCodeImageArray = new Uint8ClampedArray(image.bitmap.data.buffer);
        const qrCodeResult = jsqr_1.default(qrCodeImageArray, image.bitmap.width, image.bitmap.height);
        if (qrCodeResult) {
            return qrCodeResult.data;
        }
        else {
            throw new Error('WXGetQRCode() qrCode decode fail');
        }
    });
}
exports.fileBoxToQrcode = fileBoxToQrcode;
//# sourceMappingURL=file-box-to-qrcode.js.map