#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const friendship_event_message_parser_1 = require("./friendship-event-message-parser");
blue_tape_1.default('friendshipConfirmEventMessageParser() EN-confirm-by-other', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: `I've accepted your friend request. Now let's chat!`,
        continue: 1,
        description: '',
        from_user: 'wxid_a8d806dzznm822',
        msg_id: '7195763643366256289',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 1,
        timestamp: 1528787010,
        to_user: 'wxid_5zj4i5htp9ih22',
        uin: 1928023446,
    };
    const EXPECTED_CONTACT_ID = 'wxid_a8d806dzznm822';
    const contactName = friendship_event_message_parser_1.friendshipConfirmEventMessageParser(MESSAGE_PAYLOAD);
    t.equal(contactName, EXPECTED_CONTACT_ID, 'should parse message to contact id');
}));
blue_tape_1.default('friendshipConfirmEventMessageParser() EN-confirm-by-bot', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: 'You have added 李卓桓 as your WeChat contact. Start chatting!',
        continue: 1,
        description: '',
        from_user: 'lizhuohuan',
        msg_id: '4530350877549544428',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528786605,
        to_user: 'wxid_5zj4i5htp9ih22',
        uin: 1928023446,
    };
    const EXPECTED_CONTACT_ID = 'lizhuohuan';
    const contactName = friendship_event_message_parser_1.friendshipConfirmEventMessageParser(MESSAGE_PAYLOAD);
    t.equal(contactName, EXPECTED_CONTACT_ID, 'should parse message to contact id');
}));
blue_tape_1.default('friendshipConfirmEventMessageParser() ZH-confirm-by-other', (t) => __awaiter(this, void 0, void 0, function* () {
    t.skip('tbw');
}));
blue_tape_1.default('friendshipConfirmEventMessageParser() ZH-confirm-by-bot', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: '你已添加了Huan LI++，现在可以开始聊天了。',
        continue: 1,
        description: '',
        from_user: 'wxid_5zj4i5htp9ih22',
        msg_id: '6366033312578557207',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528787010,
        to_user: 'wxid_a8d806dzznm822',
        uin: 1211516682,
    };
    const EXPECTED_CONTACT_ID = 'wxid_5zj4i5htp9ih22';
    const contactName = friendship_event_message_parser_1.friendshipConfirmEventMessageParser(MESSAGE_PAYLOAD);
    t.equal(contactName, EXPECTED_CONTACT_ID, 'should parse message to contact id');
}));
//# sourceMappingURL=friendship-event-message-parser.confirm.spec.js.map