#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const friendship_event_message_parser_1 = require("./friendship-event-message-parser");
blue_tape_1.default('friendshipVerifyEventMessageParser() EN', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: '李 卓 桓, .。, 。。 has enabled Friend Confirmation. <a href="weixin://findfriend/verifycontact">[Send a friend request]</a> to chat.',
        continue: 1,
        description: '',
        from_user: 'wxid_a8d806dzznm822',
        msg_id: '7907886189720444151',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528786812,
        to_user: 'wxid_5zj4i5htp9ih22',
        uin: 1928023446,
    };
    const EXPECTED_CONTACT_ID = 'wxid_a8d806dzznm822';
    const contactId = friendship_event_message_parser_1.friendshipVerifyEventMessageParser(MESSAGE_PAYLOAD);
    t.equal(contactId, EXPECTED_CONTACT_ID, 'should parse verify message to contact id');
}));
blue_tape_1.default('friendshipVerifyEventMessageParser() ZH', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: 'Huan LI++开启了朋友验证，你还不是他（她）朋友。请先发送朋友验证请求，对方验证通过后，才能聊天。<a href="weixin://findfriend/verifycontact">发送朋友验证</a>',
        continue: 1,
        description: '',
        from_user: 'wxid_5zj4i5htp9ih22',
        msg_id: '887915103217822928',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528787403,
        to_user: 'wxid_a8d806dzznm822',
        uin: 1211516682,
    };
    const EXPECTED_CONTACT_ID = 'wxid_5zj4i5htp9ih22';
    const contactId = friendship_event_message_parser_1.friendshipVerifyEventMessageParser(MESSAGE_PAYLOAD);
    t.equal(contactId, EXPECTED_CONTACT_ID, 'should parse verify message to contact id');
}));
//# sourceMappingURL=friendship-event-message-parser.verify.spec.js.map