#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const is_type_1 = require("./is-type");
blue_tape_1.default('isRoomId()', (t) => __awaiter(this, void 0, void 0, function* () {
    const ROOM_ID = 'xxx@chatroom';
    const NOT_ROOM_ID = 'xxxxxxx';
    t.equal(is_type_1.isRoomId(ROOM_ID), true, 'should return true for ROOM_ID');
    t.equal(is_type_1.isRoomId(NOT_ROOM_ID), false, 'should return false for ROOM_ID');
    t.equal(is_type_1.isRoomId(undefined), false, 'should return false for undifined');
}));
blue_tape_1.default('isContactId()', (t) => __awaiter(this, void 0, void 0, function* () {
    const CONTACT_ID = 'sxxfdsa';
    const NOT_CONTACT_ID = 'fdsafasd@chatroom';
    t.equal(is_type_1.isContactId(CONTACT_ID), true, 'should return true for CONTACT_ID');
    t.equal(is_type_1.isContactId(NOT_CONTACT_ID), false, 'should return false for CONTACT_ID');
    t.equal(is_type_1.isContactId(undefined), false, 'should return false for undifined');
}));
blue_tape_1.default('isContactOfficialId()', (t) => __awaiter(this, void 0, void 0, function* () {
    const OFFICIAL_CONTACT_ID = 'gh_sxxfdsa';
    const NOT_OFFICIAL_CONTACT_ID = 'fdsafasd@chatroom';
    t.equal(is_type_1.isContactOfficialId(OFFICIAL_CONTACT_ID), true, 'should return true for OFFICIAL_CONTACT_ID');
    t.equal(is_type_1.isContactOfficialId(NOT_OFFICIAL_CONTACT_ID), false, 'should return false for NOT_OFFICIAL_CONTACT_ID');
    t.equal(is_type_1.isContactOfficialId(undefined), false, 'should return false for undifined');
}));
blue_tape_1.default('isStrangerV1()', (t) => __awaiter(this, void 0, void 0, function* () {
    const STRANGER_V1 = 'v1_999999';
    const NOT_STRANGER_V1 = '9999991';
    t.equal(is_type_1.isStrangerV1(STRANGER_V1), true, 'should return true for STRANGER_V1');
    t.equal(is_type_1.isStrangerV1(NOT_STRANGER_V1), false, 'should return false for NOT_STRANGER_V1');
}));
blue_tape_1.default('isStrangerV2()', (t) => __awaiter(this, void 0, void 0, function* () {
    const STRANGER_V2 = 'v2_999999';
    const NOT_STRANGER_V2 = '999999v2';
    t.equal(is_type_1.isStrangerV2(STRANGER_V2), true, 'should return true for STRANGER_V2');
    t.equal(is_type_1.isStrangerV2(NOT_STRANGER_V2), false, 'should return false for NOT_STRANGER_V2');
}));
blue_tape_1.default('isPayload()', (t) => __awaiter(this, void 0, void 0, function* () {
    t.equal(is_type_1.isPayload(undefined), false, 'undefined is not payload');
    t.equal(is_type_1.isPayload(null), false, 'null is not payload');
    t.equal(is_type_1.isPayload({}), false, '{} is not payload');
    t.equal(is_type_1.isPayload({ a: 42 }), true, 'valid payload');
}));
//# sourceMappingURL=is-type.spec.js.map