#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const room_event_join_message_parser_1 = require("./room-event-join-message-parser");
blue_tape_1.default('roomJoinEventMessageParser() not detected', (t) => __awaiter(this, void 0, void 0, function* () {
    t.equal(yield room_event_join_message_parser_1.roomJoinEventMessageParser(undefined), null, 'should return null for undefined');
    t.equal(yield room_event_join_message_parser_1.roomJoinEventMessageParser('null'), null, 'should return null for null');
    t.equal(yield room_event_join_message_parser_1.roomJoinEventMessageParser('test'), null, 'should return null for string');
    t.equal(yield room_event_join_message_parser_1.roomJoinEventMessageParser({}), null, 'should return null for empty object');
    t.equal(yield room_event_join_message_parser_1.roomJoinEventMessageParser({ content: 'fsdfsfsdfasfas' }), null, 'should return null for PadchatMessagePayload with unknown content');
}));
blue_tape_1.default('roomJoinEventMessageParser() Recall Message', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: 'qq512436430:\n<sysmsg type="revokemsg"><revokemsg><session>5367653125@chatroom</session><msgid>1452102025</msgid><newmsgid>2582549652250718552</newmsgid><replacemsg><![CDATA["李佳芮" has recalled a message.]]></replacemsg></revokemsg></sysmsg>',
        continue: 1,
        description: '',
        from_user: '5367653125@chatroom',
        msg_id: '8079407148816751084',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10002,
        timestamp: 1528806181,
        to_user: 'wxid_5zj4i5htp9ih22',
        uin: 1928023446,
    };
    t.equal(yield room_event_join_message_parser_1.roomJoinEventMessageParser(MESSAGE_PAYLOAD), null, 'should return null for a normal message recall payload');
}));
//# sourceMappingURL=room-event-join-message-parser.spec.js.map