#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const wechaty_puppet_1 = require("wechaty-puppet");
const room_event_leave_message_parser_1 = require("./room-event-leave-message-parser");
blue_tape_1.default('roomLeaveEventMessageParser() EN-bot-delete-other', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: 'You removed "李卓桓" from the group chat',
        continue: 1,
        description: '',
        from_user: '6061139518@chatroom',
        msg_id: '4444372134867544747',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528751382,
        to_user: 'wxid_5zj4i5htp9ih22',
        uin: 1928023446,
    };
    const EXPECTED_EVENT = {
        leaverNameList: ['李卓桓'],
        removerName: wechaty_puppet_1.YOU,
        roomId: '6061139518@chatroom',
    };
    const payload = room_event_leave_message_parser_1.roomLeaveEventMessageParser(MESSAGE_PAYLOAD);
    // console.log('payload:', payload)
    t.deepEqual(payload, EXPECTED_EVENT, 'should parse room leave message payload');
}));
blue_tape_1.default('roomLeaveEventMessageParser() EN-bot-delete-others', (t) => __awaiter(this, void 0, void 0, function* () {
    t.skip('the same as bot-delete-other');
}));
blue_tape_1.default('roomLeaveEventMessageParser() EN-other-delete-bot', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: 'You were removed from the group chat by "李卓桓"',
        continue: 1,
        description: '',
        from_user: '3453262102@chatroom',
        msg_id: '2074127648966014259',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528653673,
        to_user: 'wxid_5zj4i5htp9ih22',
        uin: 1928023446,
    };
    const EXPECTED_EVENT = {
        leaverNameList: [wechaty_puppet_1.YOU],
        removerName: '李卓桓',
        roomId: '3453262102@chatroom',
    };
    const roomLeaveEvent = room_event_leave_message_parser_1.roomLeaveEventMessageParser(MESSAGE_PAYLOAD);
    t.deepEqual(roomLeaveEvent, EXPECTED_EVENT, 'should parse event');
}));
blue_tape_1.default('roomLeaveEventMessageParser() EN-other-delete-other', (t) => __awaiter(this, void 0, void 0, function* () {
    t.skip('can not detect');
}));
blue_tape_1.default('roomLeaveEventMessageParser() EN-other-delete-others', (t) => __awaiter(this, void 0, void 0, function* () {
    t.skip('can not detect');
}));
//# sourceMappingURL=room-event-leave-message-parser.en.spec.js.map