#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const wechaty_puppet_1 = require("wechaty-puppet");
const room_event_leave_message_parser_1 = require("./room-event-leave-message-parser");
blue_tape_1.default('roomLeaveEventMessageParser() ZH-bot-delete-other', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: '你将"Huan LI++"移出了群聊',
        continue: 1,
        description: '',
        from_user: '5354656522@chatroom',
        msg_id: '7593234909679768634',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528657235,
        to_user: 'lizhuohuan',
        uin: 4763975,
    };
    const EXPECTED_EVENT = {
        leaverNameList: ['Huan LI++'],
        removerName: wechaty_puppet_1.YOU,
        roomId: '5354656522@chatroom',
    };
    const payload = room_event_leave_message_parser_1.roomLeaveEventMessageParser(MESSAGE_PAYLOAD);
    // console.log('payload:', payload)
    t.deepEqual(payload, EXPECTED_EVENT, 'should parse room leave message payload');
}));
blue_tape_1.default('roomLeaveEventMessageParser() ZH-bot-delete-others', (t) => __awaiter(this, void 0, void 0, function* () {
    t.skip('the same as bot-delete-other');
}));
blue_tape_1.default('roomLeaveEventMessageParser() ZH-other-delete-bot', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: '你被"李卓桓"移出群聊',
        continue: 1,
        description: '',
        from_user: '5178377660@chatroom',
        msg_id: '78437822999859076',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528752134,
        to_user: 'wxid_a8d806dzznm822',
        uin: 1211516682,
    };
    const EXPECTED_EVENT = {
        leaverNameList: [wechaty_puppet_1.YOU],
        removerName: '李卓桓',
        roomId: '5178377660@chatroom',
    };
    const payload = room_event_leave_message_parser_1.roomLeaveEventMessageParser(MESSAGE_PAYLOAD);
    // console.log('payload:', payload)
    t.deepEqual(payload, EXPECTED_EVENT, 'should parse room leave message payload');
}));
blue_tape_1.default('roomLeaveEventMessageParser() ZH-other-delete-other', (t) => __awaiter(this, void 0, void 0, function* () {
    t.skip('bot will not see any message, can not detected');
}));
blue_tape_1.default('roomLeaveEventMessageParser() ZH-other-delete-others', (t) => __awaiter(this, void 0, void 0, function* () {
    t.skip('bot will not see any message, can not detected');
}));
//# sourceMappingURL=room-event-leave-message-parser.zh.spec.js.map