#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const wechaty_puppet_1 = require("wechaty-puppet");
const room_event_topic_message_parser_1 = require("./room-event-topic-message-parser");
blue_tape_1.default('roomTopicEventMessageParser() EN-other-modify-topic', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: '"李卓桓" changed the group name to "新群名"',
        continue: 1,
        description: '',
        from_user: '5354656522@chatroom',
        msg_id: '1699332376319377977',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528656400,
        to_user: 'wxid_5zj4i5htp9ih22',
        uin: 1928023446,
    };
    const EXPECTED_EVENT = {
        changerName: '李卓桓',
        roomId: '5354656522@chatroom',
        topic: '新群名',
    };
    const event = room_event_topic_message_parser_1.roomTopicEventMessageParser(MESSAGE_PAYLOAD);
    t.deepEqual(event, EXPECTED_EVENT, 'should parse event');
}));
blue_tape_1.default('roomTopicEventMessageParser() EN-bot-modify-topic', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: 'You changed the group name to "morning"',
        continue: 1,
        description: '',
        from_user: '5354656522@chatroom',
        msg_id: '2814971487727313057',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528750817,
        to_user: 'wxid_5zj4i5htp9ih22',
        uin: 1928023446,
    };
    const EXPECTED_EVENT = {
        changerName: wechaty_puppet_1.YOU,
        roomId: '5354656522@chatroom',
        topic: 'morning',
    };
    const event = room_event_topic_message_parser_1.roomTopicEventMessageParser(MESSAGE_PAYLOAD);
    t.deepEqual(event, EXPECTED_EVENT, 'should parse event');
}));
//# sourceMappingURL=room-event-topic-message-parser.en.spec.js.map