#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const wechaty_puppet_1 = require("wechaty-puppet");
const room_event_topic_message_parser_1 = require("./room-event-topic-message-parser");
blue_tape_1.default('roomTopicEventMessageParser() ZH-bot-modify-topic', (t) => __awaiter(this, void 0, void 0, function* () {
    const PADCHAT_MESSAGE_PAYLOAD_ROOM_TOPIC = {
        content: '你修改群名为“新群名”',
        continue: 1,
        description: '',
        from_user: '5354656522@chatroom',
        msg_id: '778872444829065792',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528657193,
        to_user: 'lizhuohuan',
        uin: 4763975,
    };
    const EXPECTED_MESSAGE_PAYLOAD_ROOM_TOPIC = {
        changerName: wechaty_puppet_1.YOU,
        roomId: '5354656522@chatroom',
        topic: '新群名',
    };
    const payload = room_event_topic_message_parser_1.roomTopicEventMessageParser(PADCHAT_MESSAGE_PAYLOAD_ROOM_TOPIC);
    // console.log('payload:', payload)
    t.deepEqual(payload, EXPECTED_MESSAGE_PAYLOAD_ROOM_TOPIC, 'should parse room topic message payload');
}));
blue_tape_1.default('roomTopicEventMessageParser() ZH-other-modify-topic', (t) => __awaiter(this, void 0, void 0, function* () {
    const MESSAGE_PAYLOAD = {
        content: '"李卓桓"修改群名为“新群名”',
        continue: 1,
        description: '',
        from_user: '5354656522@chatroom',
        msg_id: '4311778109694299650',
        msg_source: '',
        msg_type: 5,
        status: 1,
        sub_type: 10000,
        timestamp: 1528656552,
        to_user: 'wxid_a8d806dzznm822',
        uin: 1211516682,
    };
    const EXPECTED_MESSAGE_PAYLOAD_ROOM_TOPIC = {
        changerName: '李卓桓',
        roomId: '5354656522@chatroom',
        topic: '新群名',
    };
    const event = room_event_topic_message_parser_1.roomTopicEventMessageParser(MESSAGE_PAYLOAD);
    // console.log('payload:', payload)
    t.deepEqual(event, EXPECTED_MESSAGE_PAYLOAD_ROOM_TOPIC, 'should parse room topic message payload');
}));
//# sourceMappingURL=room-event-topic-message-parser.zh.spec.js.map