#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const split_name_1 = require("./split-name");
blue_tape_1.default('splitChineseNameList()', (t) => __awaiter(this, void 0, void 0, function* () {
    const TEXT = '李卓桓、李佳芮、桔小秘';
    const EXPECTED_LIST = ['李卓桓', '李佳芮', '桔小秘'];
    const list = split_name_1.splitChineseNameList(TEXT);
    t.deepEqual(list, EXPECTED_LIST, 'should split chinese name list');
}));
blue_tape_1.default('splitEnglihshNameList()', (t) => __awaiter(this, void 0, void 0, function* () {
    const TEXT = 'Zhuohuan, 李佳芮, 太阁_传话助手';
    const EXPECTED_LIST = ['Zhuohuan', '李佳芮', '太阁_传话助手'];
    const list = split_name_1.splitEnglishNameList(TEXT);
    t.deepEqual(list, EXPECTED_LIST, 'should split english name list');
}));
//# sourceMappingURL=split-name.spec.js.map