#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const xml_to_json_1 = require("./xml-to-json");
blue_tape_1.default('xml2json()', (t) => __awaiter(this, void 0, void 0, function* () {
    const TEXT = '<mol>42</mol>';
    const EXPECTED_OBJ = { mol: '42' };
    const json = yield xml_to_json_1.xmlToJson(TEXT);
    t.deepEqual(json, EXPECTED_OBJ, 'should parse xml to json right');
}));
blue_tape_1.default('xml2json() $', (t) => __awaiter(this, void 0, void 0, function* () {
    const TEXT = '<mol meaning="42"><life>17</life></mol>';
    const EXPECTED_OBJ = { mol: { $: { meaning: '42' }, life: '17' } };
    const json = yield xml_to_json_1.xmlToJson(TEXT);
    t.deepEqual(json, EXPECTED_OBJ, 'should parse xml to json right');
}));
//# sourceMappingURL=xml-to-json.spec.js.map