"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const message_emoji_payload_parser_1 = require("./message-emoji-payload-parser");
const sampleEmojiMessage = {
    content: '<msg><emoji fromusername="lylezhuifeng" tousername="wxid_rdwh63c150bm12" type="2" idbuffer="media:0_0" md5="8dae79800b6ef10195e126042fc94076" len="310090" productid="" androidmd5="8dae79800b6ef10195e126042fc94076" androidlen="310090" s60v3md5="8dae79800b6ef10195e126042fc94076" s60v3len="310090" s60v5md5="8dae79800b6ef10195e126042fc94076" s60v5len="310090" cdnurl="http://emoji.qpic.cn/wx_emoji/l4keeCADqvmX5rSCy4nHXib3IpnTLy2T6CXetFgclb3ICM8zFs2wjNQ/" designerid="" thumburl="" encrypturl="http://emoji.qpic.cn/wx_emoji/b1Nsib7KBEDmYQq4bzAFibrXjUehx9MhaK2GgYMLcFeerjLd7jic3aLibQ/" aeskey="54a31301a1a2fb1a36ca35b741473d6f" externurl="http://emoji.qpic.cn/wx_emoji/CEnicDu2nX21RqMM5FdUtC6dAibroWDIdae0FeNAznUhEXQf7MKjtQQcet3Uqjl1Dy/" externmd5="128bdfe8c926db33f6adc62b955904a2" width="135" height="180" tpurl="" tpauthkey="" attachedtext=""></emoji><gameext type="0" content="0"></gameext></msg>',
    continue: 1,
    description: '高原ོ : [动画表情]',
    from_user: 'lylezhuifeng',
    msg_id: '5087157196027406248',
    msg_source: '<msgsource />\n',
    msg_type: 5,
    status: 1,
    sub_type: 47,
    timestamp: 1534321826,
    to_user: 'wxid_rdwh63c150bm12',
    uin: 3774860349
};
blue_tape_1.default('Should parse emoji message correctly', (t) => __awaiter(this, void 0, void 0, function* () {
    const payload = yield message_emoji_payload_parser_1.emojiPayloadParser(sampleEmojiMessage);
    const expectedResult = {
        cdnurl: 'http://emoji.qpic.cn/wx_emoji/l4keeCADqvmX5rSCy4nHXib3IpnTLy2T6CXetFgclb3ICM8zFs2wjNQ/',
        height: 180,
        len: 310090,
        type: 2,
        width: 135,
    };
    t.deepEqual(expectedResult, payload);
}));
//# sourceMappingURL=message-emoji-payload-parser.spec.js.map